import { OnInit } from '@angular/core';
import { AngularCircularProgressbarService } from './angular-circular-progressbar.service';
import * as i0 from "@angular/core";
export declare class AngularCircularProgressbarComponent implements OnInit {
    private platform;
    percentage: number;
    radius: number;
    width: any;
    fontSize: number;
    fontFamily: string;
    fontWeight: number;
    textColor: string;
    bgStrokeColor: string;
    bgStrokeWidth: number;
    bgStrokeFill: string;
    progressStrokeColor: string;
    progressStrokeWidth: number;
    progressStrokeFill: string;
    handleRadius: number;
    handleBorderWidth: number;
    handleBorderColor: string;
    handleFillColor: string;
    strokeLinecap: string;
    clockWise: boolean;
    reversedText: boolean;
    defaultShadow: boolean;
    filterValue: string;
    mutedText: string;
    mutedFontSize: number;
    mutedFontFamily: string;
    mutedFontWeight: number;
    mutedTextColor: string;
    responsive: boolean;
    constructor(platform: AngularCircularProgressbarService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularCircularProgressbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularCircularProgressbarComponent, "angular-circular-progressbar", never, { "percentage": { "alias": "percentage"; "required": false; }; "radius": { "alias": "radius"; "required": false; }; "width": { "alias": "width"; "required": false; }; "fontSize": { "alias": "fontSize"; "required": false; }; "fontFamily": { "alias": "fontFamily"; "required": false; }; "fontWeight": { "alias": "fontWeight"; "required": false; }; "textColor": { "alias": "textColor"; "required": false; }; "bgStrokeColor": { "alias": "bgStrokeColor"; "required": false; }; "bgStrokeWidth": { "alias": "bgStrokeWidth"; "required": false; }; "bgStrokeFill": { "alias": "bgStrokeFill"; "required": false; }; "progressStrokeColor": { "alias": "progressStrokeColor"; "required": false; }; "progressStrokeWidth": { "alias": "progressStrokeWidth"; "required": false; }; "progressStrokeFill": { "alias": "progressStrokeFill"; "required": false; }; "handleRadius": { "alias": "handleRadius"; "required": false; }; "handleBorderWidth": { "alias": "handleBorderWidth"; "required": false; }; "handleBorderColor": { "alias": "handleBorderColor"; "required": false; }; "handleFillColor": { "alias": "handleFillColor"; "required": false; }; "strokeLinecap": { "alias": "strokeLinecap"; "required": false; }; "clockWise": { "alias": "clockWise"; "required": false; }; "reversedText": { "alias": "reversedText"; "required": false; }; "defaultShadow": { "alias": "defaultShadow"; "required": false; }; "filterValue": { "alias": "filterValue"; "required": false; }; "mutedText": { "alias": "mutedText"; "required": false; }; "mutedFontSize": { "alias": "mutedFontSize"; "required": false; }; "mutedFontFamily": { "alias": "mutedFontFamily"; "required": false; }; "mutedFontWeight": { "alias": "mutedFontWeight"; "required": false; }; "mutedTextColor": { "alias": "mutedTextColor"; "required": false; }; "responsive": { "alias": "responsive"; "required": false; }; }, {}, never, never, false, never>;
}
